# Telemetry Data Push Reference

::: xovis.datapush.tcp_server
    options:
      show_root_heading: true
      show_source: true

::: xovis.datapush.http_server
    options:
      show_root_heading: true
      show_source: true

::: xovis.datapush.udp_server
    options:
      show_root_heading: true
      show_source: true

::: xovis.datapush.tcp_client
    options:
      show_root_heading: true
      show_source: true

::: xovis.datapush.mqtt_client
    options:
      show_root_heading: true
      show_source: true

::: xovis.datapush.sinks
    options:
      show_root_heading: true
      show_source: true
